/* ==========================================================================
# Side area style - begin
========================================================================== */

.mkdf-light-header .mkdf-page-header > div:not(.mkdf-sticky-header):not(.fixed) .mkdf-side-menu-button-opener .mkdf-side-menu-icon,
.mkdf-light-header .mkdf-top-bar .mkdf-side-menu-button-opener .mkdf-side-menu-icon{
	color: $header-light-color !important; //Color can be set inline from widget opener;
	
	&.opened,
	&:hover {
		color: $header-light-hover-color !important; //Color can be set inline from widget opener;
	}
}

.mkdf-dark-header .mkdf-page-header > div:not(.mkdf-sticky-header):not(.fixed) .mkdf-side-menu-button-opener .mkdf-side-menu-icon,
.mkdf-dark-header .mkdf-top-bar .mkdf-side-menu-button-opener .mkdf-side-menu-icon{
	color: $header-dark-color !important; //Color can be set inline from widget opener;
	
	&.opened,
	&:hover {
		color: $header-dark-hover-color !important; //Color can be set inline from widget opener;
	}
}

.mkdf-side-menu-button-opener {
	position: relative;
	display: inline-block;
	vertical-align: middle;
	top: 2px;
	
	.mkdf-side-menu-title {
		position: relative;
		display: inline-block;
		vertical-align: middle;
		margin: 0 8px 0 0;
		color: currentColor;
	}
	
	.mkdf-side-menu-icon {
		position: relative;
		display: inline-block;
		vertical-align: middle;
		font-size: 25px;
		color: #606264;
		
		span {
			display: block;
			line-height: inherit;
			
			&:before {
				display: block;
				line-height: inherit;
			}
		}
	}
	
	&.opened,
	&:hover {
		color: $first-main-color;
	}
}

.mkdf-side-menu {
    position: fixed;
    top: 0;
	right: -600px;
	width: 600px;
    height: 100%;
    min-height: 100%;
	padding: 72px 5.9% 36px;
    background-color: #fff;
	background-image: url("../../../../../assets/img/background-pattern.jpg");
	background-size: cover;
    text-align: center;
    overflow: hidden;
    visibility: hidden;
    z-index: 9999;
    -webkit-backface-visibility: hidden;
    box-sizing: border-box;
    @include mkdfTransition(all .6s cubic-bezier(.77,0,.175,1));

    .mkdf-close-side-menu-holder {
        position: absolute;
	    top: 20px;
	    right: 20px;
        z-index: 1000;
	
	    .admin-bar & {
		    top: 68px;
	    }
    }

	a.mkdf-close-side-menu {
		display: block;
		color: #92919c;
		font-size: 30px;
		z-index: 1000;

		&:hover {
			color: $first-main-color;
		}

		span {
			display: block;
			line-height: inherit;

			&:before {
				display: block;
				line-height: inherit;
			}
		}
	}

    .mkdf-side-area-holders {
        display: table;
        table-layout: fixed;
        width: 100%;
        height: 100%;
    }

    .mkdf-side-menu-top {
        display: table-row;
        width: 100%;
        height: 90%;
    }

    .mkdf-side-menu-bottom {
        display: table-row;
        width: 100%;
        height: 10%;
    }

	.widget{
		&.widget_text {
			margin-bottom: 0;
		}
	}
}

.mkdf-side-menu-slide-from-right {
	
	&.mkdf-right-side-menu-opened {
		
		.mkdf-wrapper {
			
			.mkdf-cover {
				z-index: 3000;
			}
		}
		
		.mkdf-side-menu {
			right: 0;
			visibility: visible;
		}
	}

    .mkdf-wrapper {

        .mkdf-cover {
            z-index: -1;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            overflow: hidden;
            opacity: 0;
        }
    }
}
/* ==========================================================================
# Side area style - end
========================================================================== */